﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;

namespace RibbonWithMaskedEditTool
{
    class MyCreation:IUIElementCreationFilter
    {
        #region IUIElementCreationFilter Members

        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is EditorToolBaseUIElement)
            {
                UIElement img = parent.ChildElements[0];
                img.Rect = new Rectangle(new Point(parent.Rect.X + 2, img.Rect.Y), img.Rect.Size);
                UIElement text = parent.ChildElements[1];
                text.Rect = new Rectangle(new Point(parent.Rect.X + 22, text.Rect.Y), text.Rect.Size);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false; 
        }

        #endregion
    }
}
